Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis
Class AegisBindingProvider

    java.lang.Object
      org.codehaus.xfire.aegis.AegisBindingProvider

All Implemented Interfaces:
  BindingProvider

    public class AegisBindingProvider

extends java.lang.Object
implements BindingProvider

A BindingProvider for the Aegis type system.

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `ENCODING_URI_KEY`
`static java.lang.String` | `TYPE_MAPPING_KEY`

Constructor Summary
`AegisBindingProvider()`
`AegisBindingProvider(TypeMappingRegistry registry)`

Method Summary
`static TypeMapping` | `getTypeMapping(Service service)`
`void` | `initialize(Service endpoint)` Creates a type mapping for this class and registers it with the TypeMappingRegistry.
`protected void` | `initializeMessage(Service service, MessagePartContainer container)`
`boolean` | `isWriteOuter()`
`java.lang.Object` | `readHeader(MessageHeaderInfo p, MessageContext context)`
`java.lang.Object` | `readParameter(MessagePartInfo p, javax.xml.stream.XMLStreamReader xsr, MessageContext context)`
`void` | `setWriteOuter(boolean writeOuter)`
`void` | `writeHeader(MessagePartInfo p, MessageContext context, java.lang.Object value)`
`void` | `writeParameter(MessagePartInfo p, javax.xml.stream.XMLStreamWriter writer, MessageContext context, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_MAPPING_KEY

    public static final java.lang.String TYPE_MAPPING_KEY

See Also:
  Constant Field Values

### ENCODING_URI_KEY

    public static final java.lang.String ENCODING_URI_KEY

See Also:
  Constant Field Values

Constructor Detail

### AegisBindingProvider

    public AegisBindingProvider()

### AegisBindingProvider

    public AegisBindingProvider(TypeMappingRegistry registry)

Method Detail

### isWriteOuter

    public boolean isWriteOuter()

### setWriteOuter

    public void setWriteOuter(boolean writeOuter)

### initialize

    public void initialize(Service endpoint)

  Creates a type mapping for this class and registers it with the TypeMappingRegistry. This needs to be called before initializeOperations().

  Specified by:
    `initialize` in interface `BindingProvider`

### initializeMessage

    protected void initializeMessage(Service service,
                                     MessagePartContainer container)

### readParameter

    public java.lang.Object readParameter(MessagePartInfo p,
                                          javax.xml.stream.XMLStreamReader xsr,
                                          MessageContext context)
                                   throws XFireFault

  Specified by:
    `readParameter` in interface `BindingProvider`
  Throws:
    `XFireFault`

### writeParameter

    public void writeParameter(MessagePartInfo p,
                               javax.xml.stream.XMLStreamWriter writer,
                               MessageContext context,
                               java.lang.Object value)
                        throws XFireFault

  Specified by:
    `writeParameter` in interface `BindingProvider`
  Throws:
    `XFireFault`

### getTypeMapping

    public static TypeMapping getTypeMapping(Service service)

### readHeader

    public java.lang.Object readHeader(MessageHeaderInfo p,
                                       MessageContext context)
                                throws XFireFault

  Specified by:
    `readHeader` in interface `BindingProvider`
  Throws:
    `XFireFault`

### writeHeader

    public void writeHeader(MessagePartInfo p,
                            MessageContext context,
                            java.lang.Object value)
                     throws XFireFault

  Specified by:
    `writeHeader` in interface `BindingProvider`
  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.